Subject: [Anima] Reference doc on github

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Wed, 17 Jun 2015 12:41:35 +0000

I have now also created a repository in github: https://github.com/mbehring/ANIMA-Reference-Model

I suggested initial contributions, as per below list (open to more suggestions ;-) 

- Michael Richardson: section 3.3 (constrained nodes)
- Liubing: 4.1 and 4.2 (Naming, addressing)
- Brian Carpenter: 4.4 (signaling). Could you also cover 4.5 (intent distribution) and 4.3 (discovery)? - very related!!
- Jason Coleman: Section 5.1, 5.2, 5.4, 5.5 (PKI, cert, sub and cross-domain)
- Jeferson Nobre: 7.1, 7.2, 7.3 (Management, intent, aggregated reporting)
- John Strassner: 7.4, 7.5, 7.6 (feedback loops, APIS and models.)
- Laurent Ciavaglia: Sections 8 and 9 (do they need an update?)
- Toerless and I will share the remaining sections for now.

Can the volunteers please let me know by when they can contribute their text?  Either in github (let me know your ID if you want to contribute there) 

Github is not mandatory - If you want to send me your text via mail, that's ok. I'd strongly prefer XML formatted sections if possible ;-) 

Can we have all text in by Wed next week? 

I plan to consolidate and push -03 by end of next week. 

Michael

---

From: Jéferson Campos Nobre <[email-masked]>
Date: Wed, 17 Jun 2015 16:19:13 +0000

>
> Hi Michael.
> Could you please add me in the github rep? My ID is jcnobre
> I think Wed next week is a reasonable time.
> Thanks.
> Best.
> Jéferson
>
> Em qua, 17 de jun de 2015 às 09:41, Michael Behringer (mbehring) <
> [email-masked]> escreveu:
>
>> I have now also created a repository in github:
>> https://github.com/mbehring/ANIMA-Reference-Model
>>
>> - Brian Carpenter: 4.4 (signaling). Could you also cover 4.5 (intent
>> distribution) and 4.3 (discovery)? - very related!!
>> Can the volunteers please let me know by when they can contribute their
>> text?  Either in github (let me know your ID if you want to contribute
>> there)
>>
>> Github is not mandatory - If you want to send me your text via mail,
>> that's ok. I'd strongly prefer XML formatted sections if possible ;-)
>>
>> _______________________________________________
>> Anima mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/anima
>>
>

---

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Wed, 17 Jun 2015 17:03:54 +0000

done! Thanks for the confirmation!

From: Jéferson Campos Nobre [mailto:[email-masked]]
Sent: 17 June 2015 18:19
To: Michael Behringer (mbehring); Anima WG
Cc: [email-masked]
Subject: Re: [Anima] Reference doc on github

Hi Michael.

Em qua, 17 de jun de 2015 às 09:41, Michael Behringer (mbehring) <[email-masked]<mailto:[email-masked]>> escreveu:
I have now also created a repository in github: https://github.com/mbehring/ANIMA-Reference-Model

Michael
_______________________________________________
Anima mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/anima

---

From: John Strassner <[email-masked]>
Date: Wed, 17 Jun 2015 21:57:08 -0700

My github ID is strazzie123

On Wed, Jun 17, 2015 at 10:03 AM, Michael Behringer (mbehring) <
[email-masked]> wrote:

> *From:* Jéferson Campos Nobre [mailto:[email-masked]]
> *Sent:* 17 June 2015 18:19
> *To:* Michael Behringer (mbehring); Anima WG
> *Cc:* [email-masked]
> *Subject:* Re: [Anima] Reference doc on github
>
>
>
>  Hi Michael.
>

-- 
regards,
John

---

From: John Strassner <[email-masked]>
Date: Wed, 17 Jun 2015 22:23:03 -0700

I hope to be done with my sections by Monday next week. I will also provide
comments on most other sections by Wednesday next week.

regards,
John

-- 
regards,
John

---

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Thu, 18 Jun 2015 07:03:07 +0000

Added!

From: John Strassner [mailto:[email-masked]]
Sent: 18 June 2015 06:57
To: Michael Behringer (mbehring)
Cc: Jéferson Campos Nobre; Anima WG; [email-masked]
Subject: Re: [Anima] Reference doc on github

On Wed, Jun 17, 2015 at 10:03 AM, Michael Behringer (mbehring) <[email-masked]<mailto:[email-masked]>> wrote:
done! Thanks for the confirmation!

From: Jéferson Campos Nobre [mailto:[email-masked]<mailto:[email-masked]>]
Sent: 17 June 2015 18:19
To: Michael Behringer (mbehring); Anima WG
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [Anima] Reference doc on github

Hi Michael.

Michael

--
regards,
John

---

From: "Liubing (Leo)" <[email-masked]>
Date: Fri, 19 Jun 2015 01:50:00 +0000

Hi Michael,

My Github ID is: liubingpang

> - Liubing: 4.1 and 4.2 (Naming, addressing)
I'm thinking about naming recently, so I think I can provide some text by next Wed.
But for addressing, I don't have new stuff to add this time. But I'll check the relevant text again to see whether we need revision.

Best regards,
Bing

> -----Original Message-----
> From: Anima [mailto:[email-masked]] On Behalf Of Michael
> Behringer (mbehring)
> Sent: Wednesday, June 17, 2015 8:42 PM
> To: Anima WG
> Subject: [Anima] Reference doc on github
> 
> text?  Either in github (let me know your ID if you want to contribute there)
> 
> Github is not mandatory - If you want to send me your text via mail, that's ok.
> I'd strongly prefer XML formatted sections if possible ;-)
>

---

From: Laurent Ciavaglia <[email-masked]>
Date: Fri, 19 Jun 2015 13:11:15 +0200

Dear Michael, all,

Section 8 is new, so I don't think it needs an upate for -03, but I 
would be happy to make changes based on feedback/comments.

For Section 9: Is the current text referring to RFC7575, Section 3.2. 
Coexistence with Traditional Management?
If yes, then I would suggest renaming Section 9 to reflect the actual 
content which focuses on "management or operation mode" prioritization.
If agreed/correct, I can update the text for Section 9 by next Wednesday.

Though, the topic of "hybrid" operations (autonomic and non-autonomic) 
is still relevant, but slightly different from prioritization. Some 
ongoing discussions on the ANIMA mailing list on domain, intent, and 
constrained nodes participate in this topic.
A text on this in -03 is too ambitious, but we can trigger a discussion 
thread to capture the operating principles ANIMA aims at concerning this 
hybrid mode of operation (i.e. how AFs and non-AFs co-operate, are 
managed/governed by Intent/other means, role of "helping" 
nodes/functions/gateways...)

Best regards, Laurent.

-- 

Bien cordialement, Best regards,

*Laurent Ciavaglia*

Secure Cloud Networking

Bell Labs | Alcatel Lucent

phone: +33 160 402 636

email: [email-masked] 
<mailto:[email-masked]>

linkedin: laurentciavaglia <http://fr.linkedin.com/in/laurentciavaglia/>

address: Route de Villejust | 91620 Nozay | France

---

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Fri, 19 Jun 2015 16:36:43 +0000

> From: Liubing (Leo) [mailto:[email-masked]]
> Sent: 19 June 2015 03:50
> Subject: RE: Reference doc on github
> 
> Hi Michael,
> 

added.
 
> But for addressing, I don't have new stuff to add this time. But I'll check the
> relevant text again to see whether we need revision.

Had some exchange with Sheng; I think I'll merge the current addressing doc partly into the reference model, and partly into the ACP draft, so I take the edit token on that one for now. 

Michael

> > Can the volunteers please let me know by when they can contribute
> > their text?  Either in github (let me know your ID if you want to
> > contribute there)
> >

---

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Mon, 29 Jun 2015 09:39:16 +0000

Hi Laurent,
Regarding section 8: Agree, no changes needed for now, but feedback from the community.
Regarding section 9: I re-read both, this section and section 3.2. of RFC7575. My personal opinion is that this section is not needed in the reference document, and I suggest therefore to drop it.
Let’s keep the document as concise as possible.
Michael
From: Laurent Ciavaglia [mailto:[email-masked]]
Sent: 19 June 2015 13:11
To: Michael Behringer (mbehring); Anima WG
Cc: [email-masked]
Subject: Re: Reference doc on github

Dear Michael, all,

Section 8 is new, so I don't think it needs an upate for -03, but I would be happy to make changes based on feedback/comments.

For Section 9: Is the current text referring to RFC7575, Section 3.2. Coexistence with Traditional Management?
If yes, then I would suggest renaming Section 9 to reflect the actual content which focuses on "management or operation mode" prioritization.
If agreed/correct, I can update the text for Section 9 by next Wednesday.

Though, the topic of "hybrid" operations (autonomic and non-autonomic) is still relevant, but slightly different from prioritization. Some ongoing discussions on the ANIMA mailing list on domain, intent, and constrained nodes participate in this topic.
A text on this in -03 is too ambitious, but we can trigger a discussion thread to capture the operating principles ANIMA aims at concerning this hybrid mode of operation (i.e. how AFs and non-AFs co-operate, are managed/governed by Intent/other means, role of "helping" nodes/functions/gateways...)

Best regards, Laurent.

Michael

--

Laurent Ciavaglia
Secure Cloud Networking

phone: +33 160 402 636
email: [email-masked]<mailto:[email-masked]>
linkedin: laurentciavaglia<http://fr.linkedin.com/in/laurentciavaglia/>
address: Route de Villejust | 91620 Nozay | France

---

From: Laurent Ciavaglia <[email-masked]>
Date: Mon, 29 Jun 2015 11:45:28 +0200

Dear Michael,

I think that in ANIMA we should eventually document "interactions" with 
non-autonomic networks.

It is fine for me to not have a section in the reference document for 
the moment, as this topic is still largely undefined. So ok to drop the 
section in the next version, knowing that in furhter revision it might 
be integrated again (probably under a different name).

Thanks, best regards, Laurent.

On 29/06/2015 11:39, Michael Behringer (mbehring) wrote:
> Regarding section 9: I re-read both, this section and section 3.2. of 
> RFC7575. My personal opinion is that this section is not needed in the 
> reference document, and I suggest therefore to drop it.
>
> *From:*Laurent Ciavaglia [mailto:[email-masked]]
> *Sent:* 19 June 2015 13:11
> *Subject:* Re: Reference doc on github
>
> Dear Michael, all,
>
> A text on this in -03 is too ambitious, but we can trigger a 
> discussion thread to capture the operating principles ANIMA aims at 
> concerning this hybrid mode of operation (i.e. how AFs and non-AFs 
> co-operate, are managed/governed by Intent/other means, role of 
> "helping" nodes/functions/gateways...)
>
> Best regards, Laurent.
>
>     I have now also created a repository in github:https://github.com/mbehring/ANIMA-Reference-Model
>
>       
>

-- 

*Laurent Ciavaglia*

Secure Cloud Networking

phone: +33 160 402 636

---

From: "Michael Behringer (mbehring)" <[email-masked]>
Date: Mon, 29 Jun 2015 09:46:26 +0000

Ack, thanks for the quick response! ☺
Michael

From: Anima [mailto:[email-masked]] On Behalf Of Laurent Ciavaglia
Sent: 29 June 2015 11:45
To: Michael Behringer (mbehring); Anima WG
Cc: [email-masked]
Subject: Re: [Anima] Reference doc on github

Dear Michael,

I think that in ANIMA we should eventually document "interactions" with non-autonomic networks.

It is fine for me to not have a section in the reference document for the moment, as this topic is still largely undefined. So ok to drop the section in the next version, knowing that in furhter revision it might be integrated again (probably under a different name).

Dear Michael, all,

Best regards, Laurent.

Michael

--

Laurent Ciavaglia
Secure Cloud Networking

phone: +33 160 402 636

--

Laurent Ciavaglia
Secure Cloud Networking

phone: +33 160 402 636

---

From: John Strassner <[email-masked]>
Date: Tue, 30 Jun 2015 17:21:18 -0700

I agree with Laurent. It doesn't have to be authored now, but we need to
address it. Otherwise, we aren't relevant to existing deployments, which
would be bad.

regards,
John

On Mon, Jun 29, 2015 at 2:45 AM, Laurent Ciavaglia <
[email-masked]> wrote:

> It is fine for me to not have a section in the reference document for the
> moment, as this topic is still largely undefined. So ok to drop the section
> in the next version, knowing that in furhter revision it might be
> integrated again (probably under a different name).
>
> *From:* Laurent Ciavaglia [mailto:[email-masked]
> <[email-masked]>]
> Section 8 is new, so I don't think it needs an upate for -03, but I would
> be happy to make changes based on feedback/comments.
>
> Though, the topic of "hybrid" operations (autonomic and non-autonomic) is
> still relevant, but slightly different from prioritization. Some ongoing
> discussions on the ANIMA mailing list on domain, intent, and constrained
> nodes participate in this topic.

-- 
regards,
John